/*  *********************************************************************** */
/*  *********************************************************************** */

/*  FILE edp.h - *SAT ver. 1.0 */
/*  Consistency check in logic */ 

/*  *********************************************************************** */
/*  *********************************************************************** */

#include "dp_sat.h"
#include "table.h"

/* Uncommment this to get debugging information */
/*  #define TRACE_CONS  */

/* *********************************************************************** */
/* The function for testing E consistency of an assignment */
/* *********************************************************************** */

/* This function applies the rule:
   
   ESAT(/\_i []alpha_i & /\ -[]beta_j) <=> 
      forall j forall i ( ESAT(alpha_i & -beta_j) or ESAT(-alpha_i & beta_j) )

   The function handles multiagent reasoning. The intermediate results might
   be memoized using a table.
*/
int Test_E_consistency(image_t *cur_image_ptr, dag_t *dag_ptr);


